Summary: Secure Sockets Layer communications libs & utils
Name: openssl
Version: 0.9.4
Release: 3
Source: http://www.openssl.org/source/%{name}-%{version}.tar.gz
Copyright: BSDish
Group: Libraries
URL: http://www.openssl.org/
BuildRoot: /var/tmp/%{name}-%{version}

%description
The openssl certificate management tool and the shared libraries that
provide various encryption and decription algorithms and protocols,
including DES, RC4, RSA and SSL.

%package devel
Summary: Secure Sockets Layer communications static libs & headers & utils
Group: Development/Libraries

%description devel
The static libraries and include files needed to compile apps
with support for various cryptographic algorithms and protocols,
including DES, RC4, RSA and SSL.

Patches for many networking apps can be found at:
  ftp://ftp.psy.uq.oz.au/pub/Crypto/SSLapps/

%prep
%setup

# Replace all fixed CFLAGS settings with RPM_OPT_FLAGS...
perl -pi -e "s/-O3 -fomit-frame-pointer/$RPM_OPT_FLAGS/" util/pl/linux.pl util/pl/unix.pl
find . -type f |xargs perl -pi -e "s/CFLAG=-g/CFLAG=$RPM_OPT_FLAGS/g"
find . -type f |xargs perl -pi -e "s/CFLAG=		-g/CFLAG=$RPM_OPT_FLAGS/g"
find . -type f |xargs perl -pi -e "s/-O3 -fomit-frame-pointer/$RPM_OPT_FLAGS/g"
perl -p -i -e "s/CFLAG= -O/CFLAG= $RPM_OPT_FLAGS/g" Configure Makefile Makefile.ssl
find . -type f |xargs perl -pi -e s,/usr/local/ssl,/usr/share/ssl,g

%build 
%ifarch mips
perl Configure linux-mips
%else
%ifarch alpha
sh config no-asm
%else
sh config
%endif
%endif
perl util/perlpath.pl /usr/bin
%ifarch i386 i486 i586 i686 i786 i886 i968
make -j 2 all CFLAG="$RPM_OPT_FLAGS -DL_ENDIAN -DTERMIO -Wall -Wuninitialized -DSHA1_ASM -DMD5_ASM -DRMD160_ASM"
make -j 2 linux-shared CFLAG="$RPM_OPT_FLAGS -DL_ENDIAN -DTERMIO -Wall -Wuninitialized -DSHA1_ASM -DMD5_ASM -DRMD160_ASM"
%else
make -j 2 all CFLAG="$RPM_OPT_FLAGS -DL_ENDIAN -DTERMIO -Wall -Wuninitialized -DNO_ASM"
make -j 2 linux-shared CFLAG="$RPM_OPT_FLAGS -DL_ENDIAN -DTERMIO -Wall -Wuninitialized -DNO_ASM"
%endif
make -j 2 DIRS=apps
LD_PRELOAD="`pwd`/libcrypto.so `pwd`/libssl.so" make rehash test

%install
rm -rf $RPM_BUILD_ROOT
#major="0"
#minor="9.4"
install -d $RPM_BUILD_ROOT/usr/{bin,doc,lib,include}
make INSTALL_PREFIX=$RPM_BUILD_ROOT INSTALLTOP=/usr install
cp -aR *.so* $RPM_BUILD_ROOT/usr/lib

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%doc LICENSE CHANGES NEWS INSTALL README
%doc doc/*
%dir /usr/share/ssl/
%dir /usr/share/ssl/certs/
%dir /usr/share/ssl/private/
%dir /usr/share/ssl/lib
%dir /usr/share/ssl/misc/
/usr/share/ssl/misc/CA.pl
/usr/share/ssl/misc/CA.sh
/usr/share/ssl/misc/c_hash
/usr/share/ssl/misc/c_info
/usr/share/ssl/misc/c_issuer
/usr/share/ssl/misc/c_name
/usr/share/ssl/misc/der_chop
/usr/share/ssl/openssl.cnf
/usr/bin/openssl
/usr/bin/c_rehash
/usr/lib/libcrypto.so.*
/usr/lib/libssl.so.*

%files devel
/usr/include/openssl
/usr/lib/libcrypto.a
/usr/lib/libssl.a

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Sat Dec 18 1999 Bernhard Rosenkrnzer <bero@redhat.de>
- Fix build on non-x86 platforms

* Fri Nov 12 1999 Bernhard Rosenkrnzer <bero@redhat.de>
- move /usr/share/ssl/* from -devel to main package

* Tue Oct 26 1999 Bernhard Rosenkrnzer <bero@redhat.de>
- inital packaging
- changes from base:
  - Move /usr/local/ssl to /usr/share/ssl for FHS compliance
  - handle RPM_OPT_FLAGS
